typedef struct {

    int m, n, c;
    unsigned char *image_chars;

} image;

void export_JPEG_file(const char* filename, const unsigned char* image_chars,
               int image_height, int image_width,
               int num_components, int quality);
void import_JPEG_file(const char* filename, unsigned char** image_chars,
               int* image_height, int* image_width,
               int* num_components);


void flip_vertical(image *img);
void flip_horizontal(image *img);
unsigned char compute_average(image *img);