#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "common.h"

int main(void) {

    int arg;
    char input_fname[128], output_fname[128], buffer[128];
    unsigned char average_char;
    image img;

    printf("Input file: ");
    if (fgets(buffer, 128, stdin) != NULL) {
        strcpy(input_fname, buffer);
        strtok(input_fname, "\n");
    }

    import_JPEG_file(input_fname, &img.image_chars, &img.m, &img.n, &img.c);

    printf("Type 1 for vertical flip, 2 for horizontal flip, 3 to compute average:\n");
    if (fgets(buffer, 128, stdin) != NULL) {

        arg = atoi(buffer);

        if (arg == 1 || arg == 2) {

            printf("Ouptut file: ");
            if (fgets(buffer, 128, stdin) != NULL) {
                strcpy(output_fname, buffer);
                strtok(output_fname, "\n");
            }

            if (arg == 1) flip_vertical(&img);
            else flip_horizontal(&img);

            export_JPEG_file(output_fname, img.image_chars, img.m, img.n, img.c, 75);

        } else {

            average_char = compute_average(&img);
            printf("Average character value %d\n", (int)average_char);
        }

    }

    free(img.image_chars);

}